
Foreman - Bug #12676

Filter.rb contains two attr_accessible declarations
Status: Closed   

Priority: Normal   

Assignee: Daniel Lobato Garcia   

Category: Rails   

Target version: 1.11.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2954

  

Description

The 2nd one should not be there, and the 1st one should include unlimited. See 

https://github.com/theforeman/foreman/blob/develop/app/models/filter.rb

Related issues:

Related to Foreman - Bug #7568: Use attr_accessible for rails 4 upgrade Closed 09/22/2014

Associated revisions

Revision 0dbd3e78 - 12/07/2015 07:02 AM - Daniel Lobato Garcia

Fixes #12676 - Filter contains two attr_accessible declarations

The 2nd one was just the leftovers of the old declaration.

Organization/location attr_accessible are loaded via Taxonomies, and

:unlimited was missing from the first declaration so I moved it there.

History

#1 - 12/03/2015 03:45 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2954 added

#2 - 12/07/2015 07:05 AM - Dominic Cleal

- Related to Bug #7568: Use attr_accessible for rails 4 upgrade added

#3 - 12/07/2015 07:05 AM - Dominic Cleal

- Category set to Rails

- translation missing: en.field_release set to 71

#4 - 12/07/2015 08:02 AM - Daniel Lobato Garcia

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 0dbd3e78b926a8b8ac5da6be18f7bfff1f68b0e9.
